Results 1 to 6 of 6
  1. #1

    /lib/i686/nosegneg/libc.so.6: version `GLIBC_2.7' not found

    Hi,
    I am new to android so really was confused to where to put this question. I think this forum was relevant for it. Installed android SDK and the required packages with instructions from this link "http://www.server-world.info/en/note?os=CentOS_5&p=x&f=7" to test it created HelloWorld program as per step 22 to step 25 and tried to run it but it gave me the error:
    Code:
    [2011-06-18 09:45:32 - HelloWorld] ------------------------------
    [2011-06-18 09:45:32 - HelloWorld] Android Launch!
    [2011-06-18 09:45:32 - HelloWorld] adb is running normally.
    [2011-06-18 09:45:32 - HelloWorld] Performing test.helloworld.HelloWorldActivity activity launch
    [2011-06-18 09:45:32 - HelloWorld] Automatic Target Mode: launching new emulator with compatible AVD 'sdk3.1'
    [2011-06-18 09:45:32 - HelloWorld] Launching a new emulator with Virtual Device 'sdk3.1'
    [2011-06-18 09:45:33 - Emulator] /usr/local/android-sdk-linux_x86/tools/emulator: /lib/i686/nosegneg/libc.so.6: version `GLIBC_2.7' not found (required by /usr/local/android-sdk-linux_x86/tools/emulator)
    
    So after some searching on LQ i found these
    http://www.linuxquestions.org/questi...-found-744125/
    http://www.linuxquestions.org/questi...-found-560178/

    i also found "libc.so.6" in "/lib" but don't know which what is the prior version i should use to link it to "/lib/libc.so.6"

  2. #2
    Member
    Join Date
    Jun 2011
    Location
    FL, USA
    Posts
    10

    Device(s)
    HTC G2
    This happened to me on CentOS 5.5. I got around the problem by using an earlier version of the Android emulator (version 7 instead of 8). Alternatively, if you have an Android device you can develop on that rather than using the emulator.

    Here's the workaround I followed (remember to backup your current emulator first):

    http://codetrips.blogspot.com/2010/1...dk-breaks.html

    -badtea



  3. #3
    Hi badtea,
    Sorry for late reply but the link to downloading the r07 tool is not working so any other link where i can download the tool.


    Regards,
    Mayur



  4. #4
    Member
    Join Date
    Jun 2011
    Location
    FL, USA
    Posts
    10

    Device(s)
    HTC G2
    Quote Originally Posted by mayursingru View Post
    Sorry for late reply but the link to downloading the r07 tool is not working so any other link where i can download the tool.
    Sorry, I did not know the link wasn't working anymore. I looked around and could not find the r07 zip file anywhere else. It looks like Google took it offline.

    Maybe someone else knows how to fix the libc problem?



  5. #5
    I am having the same problem with an error says "lib/libc.so.6: version `GLIBC_2.7' not found". Since google has taken tools_r07-linux.zip offline from the repository, can someone help me on finding the file somewhere else?

    Thanks a lot.

    Mike



  6. #6
    Member
    Join Date
    Jun 2011
    Posts
    7

    Device(s)
    Droidx running rooted 596 deodexed waiting for stable cyanogen
    Might wanna try and take a look over at xda developers web site



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •